﻿// select the right Ad Id according to platform
var admobid = {};

var isAndroidTv = false;
var isAmazon = false;
var adsInit = false;
function setAdsId(callback) {
    if (device.platform == "Android") { // for android & amazon-fireos

        cordova.getAppVersion.getPackageName(function (packageName) {
            console.log(packageName);
            if(AppLovin){
                AppLovin.isAndroidTv(function(isTV){
                    debugger
                    console.log(isTV);
                    if(isTV){
                        isAndroidTv = false;
                    }else{
                        setAndroidIds();
                    }
                   
                    adsInit = true;
                    callback();
                },function(e){
                    console.log(e);
                })
            }else{
                setAndroidIds(packageName);
                adsInit = true;
                callback();
            }
        });

    } else if(device.platform.indexOf("amazon")> -1){
        if(AppLovin){
            isAndroidTv = true;
            isAmazon = true;
        }
    }
    else { // for ios
        admobid = {
            banner: 'ca-app-pub-8801329898662875/2994859854', // or DFP format "/6253334/dfp_example_ad"
            interstitial: 'ca-app-pub-8801329898662875/2420719177',
            video: 'ca-app-pub-8801329898662875/4991042195'
        };
        adsInit = true;
        callback();
    }

    function setAndroidIds(packageName){
        if (packageName == "st.veezie.full") {
            admobid = {
                banner: 'ca-app-pub-8801329898662875/1784709529', // or DFP format "/6253334/dfp_example_ad"
                interstitial: 'ca-app-pub-8801329898662875/1676898313',
                video: 'ca-app-pub-8801329898662875/3919918274'
            };
        } else {
            admobid = {
                banner: 'ca-app-pub-8801329898662875/5198815703', // or DFP format "/6253334/dfp_example_ad"
                interstitial: 'ca-app-pub-8801329898662875/1912277005',
                video: 'ca-app-pub-8801329898662875/3301735518'
            };
        }
    }
}

function createBanner() {
    if (window.cordova && AdMob && localStorage.isPremium != "1") {
        AdMob.createBanner({
            adId: admobid.banner,
            autoShow: true,
            position: AdMob.AD_POSITION.BOTTOM_CENTER
        });
    }
}

function refreshBanner() {
	/*
    if (!window.lastRefreshBanner)
        window.lastRefreshBanner = new Date(1970,1,1);
     
    if (adsInit && localStorage.isPremium != "1"
	//&& new Date() - window.lastRefreshBanner > 40 * 1000
	) {
        window.lastRefreshBanner = new Date();
        hideBanner();
        setTimeout(function () {
            createBanner();
        }, 0);
    }
*/
}

function hideBanner() {
    if (window.cordova && AdMob) {
        AdMob.hideBanner();
    }
}

function prepareInterstitial() {
    if (window.cordova && AdMob && localStorage.isPremium != "1") {
        if(isAndroidTv){
            AppLovin.loadInterstitialAd(function(e){
                console.log(e);
            },function(e){
                console.log(e);
            })
        }else{
            AdMob.prepareInterstitial({
                adId: admobid.interstitial,
                autoShow: false,
            });
        }
    }
}


function showAd() {
    if (window.cordova && AdMob && localStorage.isPremium != "1") {
        if(isAndroidTv){
            AppLovin.showInterstitialAd(function(e){
                console.log(e);
            },function(e){
                console.log(e);
            })
        }else{
            AdMob.showInterstitial();
        }

    }
}

function showAdIfNeeded(){
    if(!localStorage.videoCount){
        localStorage.videoCount = 0;
    }
    var count = parseInt(localStorage.videoCount);
    if(count >= 2){
        showAd();
        localStorage.videoCount = 0;
    }else{
        prepareInterstitial();
        localStorage.videoCount = count +1;
    }
}

function prepareVideoAd() {	

    if (window.cordova && AdMob && localStorage.isPremium != "1") {
        if(isAndroidTv){
            AppLovin.loadVideoAd(function(e){
                console.log(e);
            },function(e){
                console.log(e);
            })
        }else{
            AdMob.prepareRewardVideoAd({
                adId: admobid.video,
                autoShow: false,
            });
        }
        prepareInterstitial();
    }
}


function showVideoAd() {
    console.log("Show video");
    if (window.cordova && AdMob && localStorage.isPremium != "1") {

        if(isAndroidTv){
            AppLovin.showVideoAd(function(e){
                console.log(e);
            },function(e){
                console.log(e);
            })
        }else{
            AdMob.showRewardVideoAd();
        }
    }
}


function setPremium(value) {
    localStorage.isPremium = value;
}

